### Name: dfev
### Title: Decompositions of Forecast Error Variance (DFEV) for
###   VAR/BVAR/BSVAR models
### Aliases: dfev dfev.VAR dfev.BVAR dfev.BSVAR
### Keywords: ts

### ** Examples

data(IsraelPalestineConflict)
varnames <- colnames(IsraelPalestineConflict)
fitted.BVAR <- szbvar(IsraelPalestineConflict, p=6, z=NULL,
                       lambda0=0.6, lambda1=0.1,
                       lambda3=2, lambda4=0.25, lambda5=0, mu5=0,
                       mu6=0, nu=3, qm=4, prior=0,
                       posterior.fit=FALSE)

A0 <- t(chol(fitted.BVAR$mean.S))
dat.dfev <- dfev(fitted.BVAR, A0, 24)

print(dat.dfev)
summary(dat.dfev)



