### Name: mountains
### Title: Mountain plots for summarizing forecast densities
### Aliases: mountains
### Keywords: hplot dplot smooth

### ** Examples

## Not run: 
##D data(IsraelPalestineConflict)
##D 
##D # Fit a BVAR model
##D fit.BVAR <- szbvar(IsraelPalestineConflict, p=6, z=NULL, lambda0=0.6,
##D                    lambda1=0.1, lambda3=2, lambda4=0.5, lambda5=0,
##D                    mu5=0, mu6=0, nu=3, qm=4, prior=0,
##D                    posterior.fit=FALSE)
##D 
##D # Fit a flat prior / MLE model
##D fit.FREQ <- szbvar(IsraelPalestineConflict, p=6, z=NULL, lambda0=0.6,
##D                    lambda1=0.1, lambda3=2, lambda4=0.5, lambda5=0,
##D                    mu5=0, mu6=0, nu=3, qm=4, prior=2,
##D                    posterior.fit=FALSE)
##D 
##D # Generate unconditional forecasts for both models
##D forecast.BVAR <- uc.forecast.var(fit.BVAR, nsteps=2,
##D                                  burnin=100, gibbs=1000)
##D 
##D forecast.FREQ <- uc.forecast.var(fit.FREQ, nsteps=2,
##D                                  burnin=100, gibbs=1000)
##D 
##D # Plot the densities for the forecasts in period of the forecast horizon
##D 
##D mountains(forecast.BVAR$forecast[,2,1:2],
##D   forecast.FREQ$forecast[,2,1:2], varnames=c("I2P","P2I"), pts=c(0,0))
## End(Not run)



