### Name: plot.forc.ecdf
### Title: Plots VAR forecasts and their empirical error bands
### Aliases: plot.forc.ecdf
### Keywords: hplot

### ** Examples

## Not run: 
##D data(IsraelPalestineConflict)
##D 
##D # Fit a BVAR model
##D fit.BVAR <- szbvar(IsraelPalestineConflict, p=6, z=NULL, lambda0=0.6,
##D                    lambda1=0.1, lambda3=2, lambda4=0.5, lambda5=0,
##D                    mu5=0, mu6=0, nu=3, qm=4, prior=0,
##D                    posterior.fit=FALSE)
##D 
##D # Generate unconditional forecasts for both models
##D forecast.BVAR <- uc.forecast(fit.BVAR, nsteps=12,
##D                                  burnin=100, gibbs=1000)
##D 
##D # Plot the forecasts
##D par(mfrow=c(2,1))
##D 
##D plot(forecast.BVAR$forecast[,,1], probs=c(0.16,0.84),
##D                main="I2P Forecast")
##D abline(h=0)
##D 
##D plot(forecast.BVAR$forecast[,,2], probs=c(0.16,0.84),
##D                main="P2I Forecast")
##D abline(h=0)
## End(Not run)



