### Name: plot.mc.irf
### Title: Plotting posteriors of Monte Carlo simulated impulse responses
### Aliases: plot.mc.irf plot.mc.irf.VAR plot.mc.irf.BVAR plot.mc.irf.BSVAR
### Keywords: models hplot

### ** Examples

## Not run: 
##D data(IsraelPalestineConflict)
##D fit.BVAR <- szbvar(IsraelPalestineConflict, p=6, z=NULL, lambda0=0.6,
##D                    lambda1=0.1, lambda3=2, lambda4=0.5, lambda5=0,
##D                    mu5=0, mu6=0, nu=3, qm=4, prior=0,
##D                    posterior.fit=FALSE)
##D 
##D posterior.impulses <- mc.irf(fit.BVAR, nsteps=12, draws=1000)
##D plot(posterior.impulses, method = c("Percentile"))
## End(Not run)



