### Name: rmse
### Title: Root mean squared error of a Monte Carlo / MCMC sample of
###   forecasts
### Aliases: rmse
### Keywords: ts

### ** Examples

data(IsraelPalestineConflict)
Y.sample1 <- window(IsraelPalestineConflict, end=c(2002, 52))
Y.sample2 <- window(IsraelPalestineConflict, start=c(2003,1))

# Fit a BVAR model
fit.bvar <- szbvar(Y.sample1, p=6, lambda0=0.6, lambda1=0.1, lambda3=2,
                   lambda4=0.25, lambda5=0, mu5=0, mu6=0, prior=0)

# Forecast -- this gives back the sample PLUS the forecasts!

forecasts <- forecast(fit.bvar, nsteps=nrow(Y.sample2))

# Compare forecasts to real data
rmse(forecasts[(nrow(Y.sample1)+1):nrow(forecasts),], Y.sample2)




