### Name: szbvar
### Title: Reduced form Sims-Zha Bayesian VAR model estimation
### Aliases: szbvar
### Keywords: ts models

### ** Examples

  ## Not run: 
##D     data(IsraelPalestineConflict)
##D     varnames <- colnames(IsraelPalestineConflict)
##D 
##D     fit.BVAR <- szbvar(IsraelPalestineConflict, p=6, z=NULL,
##D                            lambda0=0.6, lambda1=0.1,
##D                             lambda3=2, lambda4=0.25, lambda5=0, mu5=0,
##D                             mu6=0, nu=3, qm=4,
##D                             prior=0, posterior.fit=FALSE)
##D 
##D     # Draw from the posterior pdf of the impulse responses.
##D     posterior.impulses <- mc.irf(fit.BVAR, nsteps=10, draws=5000)
##D 
##D     # Plot the responses
##D     plot(posterior.impulses, method=c("Sims-Zha2"), component=1,
##D          probs=c(0.16,0.84), varnames=varnames) 
## End(Not run)




